
html,body {
  height: 100%;
  color: var(--text-color);
}


body {
  /* The image used */

  /* Full height */
  height: 100%;
  /* font-family: Helvetica, arial, sans-serif; */
  /* font-family: 'Roboto Condensed', sans-serif; */
/* font-family: 'Poppins', sans-serif;


  /* Center and scale the image nicely */

}


h5 {
  font-size:  1rem;
}

.on, .off, .off:hover, .on:hover {
  padding-right: .5rem;
  padding-left: .5rem;
  text-decoration: none;
}


.container {
  padding:0 60px 0 60px;
}




.logologin {
  padding: 15px;
  max-width: 250px;
}
/* login form */



.login-form {
    width: 340px;

}
.login-form form {        
    margin-bottom: 15px;
    
    /*padding: 30px; */
}
.login-form h2 {
    margin: 0 0 15px;
}
.form-control, .btn {
    min-height: 38px;
    border-radius: 2px;
}
.input-group-addon .fa {
    font-size: 18px;
}
.btn {        
    font-size: 15px;
    font-weight: bold;
}
.bottom-action {
    font-size: 14px;
}


.slideactive {
  background-color: red!important;
}

.switch {
  /* width: 60px; */
    margin: 2px;
}


.grey_bg {
  background-color: #888;
}
.button:hover {
    text-decoration: none;
}
.button:active {
    position: relative;
    top: 1px;
}

.medium {
    font-size: 12px;
    padding: .4em 1.5em .42em;
}
.small {
    font-size: 11px;
    padding: .2em 1em .275em;
}



.slidecontrollers {
  width:40px;
}

.activestage {
  display: block;
}

#stage0 {
  display: block;
}

#stage1 {
  display: none;
}



.on, .off:hover {
  color:#ff0000 !important;
  
}


#vdostarter {
  position:absolute; 
  z-index: 1000;
  top:0; 
  right:0; 
  width: 100%; 
  height: 100%
  
}



#vdostartercontent {
  position:absolute; 
  top:50%; 
  left:50%; 
  transform: translate(-50%, -50%); 
  text-align:center;
  z-index: 1001;

}


@media (min-width: 768px) {
  .left-col {
    
  }
  .right-col {
    min-width: 380px;
    max-width: 380px; 
  }
}

.del-btn {
  text-decoration: underline;
  font-size: 17px;
  text-align: right;
  padding-bottom: 10px;
  cursor: pointer;

}


#messaging textarea{
  height: 90%;
}

.player-container {
  position: relative;
}

#playerloc {
  position: relative;
}
.audioon {
  position: absolute;
  color: black;
  background-color: white;
  top: 10px;
  left: 10px;
  width: 250px;
  height: 80px;
  padding: 5px;
  text-align: center;
  cursor: pointer;
  z-index: 900;
}


.counter {
  position: absolute;
  color: white;
  background-color: black;
  top: 10px;
  left: 10px;
  width: 70px;
  height: 30px;
  padding: 5px;
  border-radius: 50px;
  text-align: center;
  z-index: 800;
}
.tab-container {
  position: relative;
}

.tab-wrapper {
  display: flex;
  flex-flow: row wrap;
  flex-direction: column;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}


.tab-wrapper-content {
  display: flex;
  flex-flow: row wrap;
  flex-direction: column;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}
.tab-inside-content {
  overflow-y: auto;
  list-style-type: none;
  padding:0px;
  font-size: 1.8vh;
}

.tab-inside-content p{
  font-size:1rem;
}


.chat-messageList {  
  list-style-type: none;
  padding:0px;
  color: #000;
}

.chat-messageList .user-message {
  font-size: 1rem;
  position: relative;
  border-radius: .4em;
  padding: 10px;
  margin-top: 5px;
  margin-right: 20px;
  margin-left: 50px;
}

.chat-messageList .user-message:after {
  content: '';
  position: absolute;
  right: 0;
  top: 50%;
  width: 0;
  height: 0;
  border: 17px solid transparent;
  border-right: 0;
  border-top: 0;
  margin-top: -8.5px;
  margin-right: -17px;
}

.chat-messageList .other-message {
  position: relative;
  border-radius: .4em;
  padding: 10px;
  margin-top: 5px;
  font-size: 1rem;
  margin-right: 50px;
  margin-left: 20px;
}

.chat-messageList .other-message:after {
  content: '';
  position: absolute;
  left: 0;
  top: 50%;
  width: 0;
  height: 0;
  border: 17px solid transparent;
  border-left: 0;
  border-top: 0;
  margin-top: -8.5px;
  margin-left: -17px;
}


.chat-messageList .username {
  font-weight: bold;
}


.timetoken {
  font-size: 10px;
}




/* login form */


.login-form form {        
    
    background: transparent;
    
}


.button:hover {
    text-decoration: none;
}
.button:active {
    position: relative;
    top: 1px;
}

.medium {
    font-size: 12px;
    padding: .4em 1.5em .42em;
}
.small {
    font-size: 11px;
    padding: .2em 1em .275em;
}




.nav-link {
   /*color:#4C384E !important; */
   font-weight: 700;
   font-size: 16px;
}




/* Title bars */
.titlebar {
background-color: #fff;
color: #000;
}


/* Sfondo e testo messaggi normali e attivi*/

.btnn {
  background-color: #FFF;
  color: #000;
}


.active, .btnn:hover {
  background-color: #fff;
  color: #000;
}



.jumbotron {
  background: none;
}

.vertical-center {
  min-height: 100%;  /* Fallback for browsers do NOT support vh unit */
  display: flex;
  align-items: center;

}


.trans {
    position:relative;
    background: rgb(82, 82, 82); /* Fallback for older browsers without RGBA-support */
    background: rgba(82, 82, 82, 0.6);
}

/*
#sidebar {
  display: flex;
  justify-content: flex-end;
  flex-direction: column;
}

*/



#advice {
    overflow-y: scroll;
    width: 100%;
    height: 200px;
    display: inline-block;
    margin: 20px 0 40px 0;
    position: relative;
    -webkit-mask-image: linear-gradient(to bottom, black 50%, transparent 100%);
    mask-image: linear-gradient(to bottom, black 50%, transparent 100%);
}


/* width */
#advice::-webkit-scrollbar {
  width: 5px;
}

/* Track */
#advice::-webkit-scrollbar-track {
  background: #50699b;
}

/* Handle */
#advice::-webkit-scrollbar-thumb {
  background: #fff;
}

/* Handle on hover */
#advice::-webkit-scrollbar-thumb:hover {
  background: #555;
}


    /* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  /*background: transparent;*/
}

 /* Handle */
::-webkit-scrollbar-thumb {
  /*background: transparent;*/
}

 /* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  /*background: transparent;*/
}


bg-black {
  background-color: #000;
}
.icontent {
  width:350px;
  height:450px;
}

.btnn {
  border: none;
  outline: none;
  padding: 10px 16px;
  cursor: pointer;
  font-size: 12px;
}

.jumbotron {
  background: none;
}

.vertical-center {
  min-height: 100%;  /* Fallback for browsers do NOT support vh unit */
  display: flex;
  align-items: center;

}


.ratio-bk {
  
  width: 100%; 
  height: 0px; 
  padding-bottom: 75%;
  
}


.trans {
    position:relative;
    background: rgb(82, 82, 82); /* Fallback for older browsers without RGBA-support */
    background: rgba(82, 82, 82, 0.2);
}




.message {
  font-size: 16px;
  padding: 15px;
  margin:5px;

}

#sidebar {
  justify-content: flex-end;
  flex-direction: column;
  /*width: 450px; */
}


/* FORM */


form {
  /* padding-top: 50px; */
}
.form-signin {
  max-width: 330px;
  padding: 15px;
  margin: 0 auto;

}
.form-signin .form-signin-heading,
.form-signin .checkbox {
  margin-bottom: 10px;
}
.form-signin .checkbox {
  font-weight: normal;
}
.form-signin .form-control {
  position: relative;
  height: auto;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  padding: 10px;
  font-size: 16px;
}
.form-signin .form-control:focus {
  z-index: 2;
}
.form-signin input[type="email"] {
  margin-bottom: -1px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.form-signin input[type="password"] {
  margin-bottom: 10px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}



a.ok {
    color:#009933;
    text-decoration: none;
}

a.ok:hover {
    color:#009933;
    text-decoration: underline;
}

a.ko {
    color:#ff0000;
    text-decoration: none;
}

a.ko:hover {
    color:#ff0000;
    text-decoration: underline;
}

a.grey {
    color:#888888;
    text-decoration: none;
}

a.grey:hover {
    color:#dddddd;
    text-decoration: underline;
}

a.grey:active {
    color:#eee;
    text-decoration: none;
}


a.no {
    color:#CC0000;
    text-decoration: none;
}

a.no:hover {
    color:#CC0000;
    text-decoration: underline;
}

a.no:active {
    color:#FFF;
    text-decoration: none;
}

.panel {
  font-size: 18px;
  padding: 2px 6px 2px 6px;
  margin-top: 5px;
  margin-right: 5px;
  background-color: #fff;
  width: 40px;
  border-radius: 100%;
}

@media (min-width: 1200px) {
.container {
  max-width:1920px;
}
  
}
 
#messaggi {
  border-collapse: collapse;
  width: 100%;
}


#messaggi td, #messaggi th {
  color:#696969;
  padding: 8px;
  background-color: #fff;
}


#messaggi tr:nth-child(even) td {background-color: #eee;}

#messaggi tr:hover {background-color: #ddd;}

#messaggi th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #1e1e1e;
  color: white;
}


#poll_form {
  margin-top: 20px;
}


#voters_count {
  text-align:center;
  margin-top: 20px;
  font-size:24px;
}


.titlebar {
  cursor: pointer;
  padding: 10px;
}



    label.label_poll { 
  position:relative;
  padding-left:3ch;
  display: block;
  margin-bottom: 5px;
}

label.label_poll > [type=radio] {
  position: absolute;
  left: 0;
}



/* inserimento stili tabs 7/10/2020 */



		ul.tabs{
			margin: 0px;
			padding: 0px;
			list-style: none;
		}
		ul.tabs li{
			font-weight: 600;
			display: inline-block;
			padding: 8px 8px;
			cursor: pointer;
		}
    
ul.tabs li.current{
      border-top-right-radius: 0em;
      border-top-left-radius: 0em;
    }


    
		.tab-content{
			display: none;
			padding: 15px;
		}


		.tab-content.current{
      display: inherit;
    }
	
    .minislide.current {
      width: 350px;
      border: 1px solid white;

    }
 .fullslide {
      
      border: 0!important;

    }

    .minislide.next {
      width: 250px;
      border: 1px solid white;
      
    }





/*   @media only screen and (max-width: 768px) {
  
   .navbar {
     display: none;
    }

}
*/


@media only screen and (max-width: 768px) {
  /* For mobile phones: */
   .minislide.current {
     width: 100%;
    }
    .minislide.next {
     display: none !important;
    }
    .logologin {
      max-height: 35px;
      padding: 2px;
    }
        #content_vr {
      display:none    
      }  
  
    
}


@media only screen and (min-width: 768px) {
    #content_hr {
      display:none    
      }  
   
  }



  input[type=radio] {
   display:none;
}

input[type=radio] + label {
  width: 34px;
  height: 34px;
  padding: 10px;
  text-align: center;
  font-size: 1.5rem;
  display: inline-block;
  cursor: pointer;
}   

input[type=radio]:checked + label {
    
  padding: 10px;
  text-align: center;
}

    .backpopup {
      margin: auto;
      position: absolute;
      top: 0px; 
      left: 0px;
      bottom: 0px; 
      right: 0px;
      z-index: 999; 
      display:none;
    }

    .backpopuphalf {
      margin: auto;
      position: absolute;
      top: 0px; 
      left: 50%;
      bottom: 0px; 
      right: 0px;
      z-index: 999; 
      display:none;
    }
    .popup {
      position:  absolute; 
      width: 95%;
      top: 50%; 
      left: 50%; 
      -ms-transform: translate(-50%, -50%); 
      transform: translate(-50%, -50%); 
      display:none; 
      font-size: 18px;
      text-align: center;
      z-index: 1000; 
    }

    .form-check {
      padding-left: 0;
    }